- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces
smart_graph.h File Reference
Graph Structures
`#include <vector>`
`#include <lemon/core.h>`
`#include <lemon/error.h>`
`#include <lemon/bits/graph_extender.h>`

## Classes
class | SmartDigraph
| A smart directed graph class. More...
class | SmartDigraph::Snapshot
| Class to make a snapshot of the digraph and to restore it later. More...
class | SmartGraph
| A smart undirected graph class. More...
class | SmartGraph::Snapshot
| Class to make a snapshot of the graph and to restore it later. More...
class | SmartBpGraph
| A smart undirected bipartite graph class. More...
class | SmartBpGraph::Snapshot
| Class to make a snapshot of the graph and to restore it later. More...

## Namespaces
| lemon
| The namespace of LEMON.